> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Paged Player Leaderboard (Potentially for advanced queries)

> Retrieves a specific page of player leaderboard data for various game statistics, allowing for potential advanced queries via POST body.



## OpenAPI

````yaml https://stash.seraph.si/json post /leaderboards/{lbtype}
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /leaderboards/{lbtype}:
    post:
      tags:
        - Leaderboards
      summary: Post Paged Player Leaderboard (Potentially for advanced queries)
      description: >-
        Retrieves a specific page of player leaderboard data for various game
        statistics, allowing for potential advanced queries via POST body.
      parameters:
        - description: >-
            Type of leaderboard (e.g., bedwars.level,
            bedwars.overall_final_kills, bedwars.overall_wins)
          in: path
          name: lbtype
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/routes.PlayerLookupBody'
        description: Optional request body for player lookup or filtering
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/types.BedwarsPlayerCache'
                type: array
          description: Successfully retrieved a page of leaderboard data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Bad request, e.g., invalid body, leaderboard type, or page number
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error, e.g., failed to retrieve data from database
components:
  schemas:
    routes.PlayerLookupBody:
      properties:
        bedwars:
          $ref: '#/components/schemas/types.BedwarsPlayerCache'
        difference:
          type: integer
        game_mode:
          type: string
        live_status:
          type: boolean
        skywars:
          $ref: '#/components/schemas/types.SkywarsPlayerCache'
      type: object
    types.BedwarsPlayerCache:
      properties:
        activeBedDestroy:
          type: string
        activeDeathCry:
          type: string
        activeGlyph:
          type: string
        activeIslandTopper:
          type: string
        activeKillEffect:
          type: string
        activeKillMessages:
          type: string
        activeNPCSkin:
          type: string
        activeProjectileTrail:
          type: string
        activeSprays:
          type: string
        activeVictoryDance:
          type: string
        activeWoodType:
          type: string
        bedwars_exp:
          type: integer
        bedwars_level:
          type: integer
        displayname:
          type: string
        eight_one_beds_broken_bedwars:
          type: integer
        eight_one_beds_lost_bedwars:
          type: integer
        eight_one_deaths_bedwars:
          type: integer
        eight_one_final_deaths_bedwars:
          type: integer
        eight_one_final_kills_bedwars:
          type: integer
        eight_one_kills_bedwars:
          type: integer
        eight_one_losses_bedwars:
          type: integer
        eight_one_wins_bedwars:
          type: integer
        eight_two_beds_broken_bedwars:
          type: integer
        eight_two_beds_lost_bedwars:
          type: integer
        eight_two_deaths_bedwars:
          type: integer
        eight_two_final_deaths_bedwars:
          type: integer
        eight_two_final_kills_bedwars:
          type: integer
        eight_two_kills_bedwars:
          type: integer
        eight_two_losses_bedwars:
          type: integer
        eight_two_wins_bedwars:
          type: integer
        four_four_beds_broken_bedwars:
          type: integer
        four_four_beds_lost_bedwars:
          type: integer
        four_four_deaths_bedwars:
          type: integer
        four_four_final_deaths_bedwars:
          type: integer
        four_four_final_kills_bedwars:
          type: integer
        four_four_kills_bedwars:
          type: integer
        four_four_losses_bedwars:
          type: integer
        four_four_wins_bedwars:
          type: integer
        four_three_beds_broken_bedwars:
          type: integer
        four_three_beds_lost_bedwars:
          type: integer
        four_three_deaths_bedwars:
          type: integer
        four_three_final_deaths_bedwars:
          type: integer
        four_three_final_kills_bedwars:
          type: integer
        four_three_kills_bedwars:
          type: integer
        four_three_losses_bedwars:
          type: integer
        four_three_wins_bedwars:
          type: integer
        linked_discord:
          type: string
        overall_beds_broken_bedwars:
          type: integer
        overall_beds_lost_bedwars:
          type: integer
        overall_deaths_bedwars:
          type: integer
        overall_final_deaths_bedwars:
          type: integer
        overall_final_kills_bedwars:
          type: integer
        overall_kills_bedwars:
          type: integer
        overall_losses_bedwars:
          type: integer
        overall_wins_bedwars:
          type: integer
        player_rank:
          type: string
        quickbuy:
          type: string
        updated_at:
          type: string
        uuid:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    types.SkywarsPlayerCache:
      properties:
        activeKit_SOLO:
          type: string
        activeKit_SOLO_random:
          type: boolean
        activeKit_TEAMS:
          type: string
        activeKit_TEAMS_random:
          type: boolean
        active_balloon:
          type: string
        active_cage:
          type: string
        active_deathcry:
          type: string
        active_killeffect:
          type: string
        active_killmessages:
          type: string
        active_projectiletrail:
          type: string
        active_sprays:
          type: string
        active_victorydance:
          type: string
        displayname:
          type: string
        heads:
          type: integer
        kills:
          type: integer
        last_lobby_seen:
          type: string
        level:
          type: number
        player_rank:
          type: string
        seen_at:
          type: string
        updated_at:
          type: string
        uuid:
          type: string
        void_kills:
          type: integer
      type: object
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````